# Deprecated API

## Contents

- Classes
- Methods

Classes
com.mckoi.database.global.NullObject: do not use. Nulls are now handled via TObject and TType. This method is only kept around for legacy with older databases.
com.mckoi.debug.Debug: use DebugLogger implementations instead.

Methods
com.mckoi.database.DataTableColumnDef.getForeignKey()
com.mckoi.database.DataTableColumnDef.setForeignKey​(String)
com.mckoi.database.jdbc.MResultSet.getBigDecimal​(int, int)
com.mckoi.database.jdbc.MResultSet.getUnicodeStream​(int)
com.mckoi.database.sql.SimpleCharStream.getColumn()
com.mckoi.database.sql.SimpleCharStream.getLine()
com.mckoi.database.Table.distinct(): - not a proper SQL distinct.
com.mckoi.debug.Debug.write​(Object, String): this is a legacy debug method.
com.mckoi.util.Cache.getHashSize()